﻿namespace TabsStudioAfterClose
{
    class Extension
    {
        public Extension(TabsStudioExt.TabExtension ext_, bool useActivateTabFocusWorkaround_, System.Windows.Controls.TabItem tabItem_)
        {
            ext = ext_;
            useActivateTabFocusWorkaround = useActivateTabFocusWorkaround_;
            tabItem = tabItem_;
        }

        public void Activate()
        {
            if (useActivateTabFocusWorkaround)
            {
                tabItem.Focusable = true;
                tabItem.Focus();
                tabItem.Focusable = false;
            }
            ext.Window.Activate();
        }

        public bool IsEqual(System.Windows.Controls.Label label)
        {
            return ext.Label == label;
        }

        private TabsStudioExt.TabExtension ext;
        private bool useActivateTabFocusWorkaround;
        private System.Windows.Controls.TabItem tabItem;
    }
}
